Can't install autobahn using node js 6.2.1 on Windows 10

#1

Hello,

I am trying to install autobahn using node js - npm i autobahn and get next error. Could you please help me how to fix it?

D:\Projects\epm-ctm-MY\grabli_server>npm i autobahn

bufferutil@1.2.1 install D:\Projects\autobahn_test\node_modules\bufferutil

node-gyp rebuild

D:\Projects\autobahn_test\node_modules\bufferutil>if not defined npm_config_node_gyp (node “C:\Program Files\nodejs\node_modules\npm\bin\node-gyp-bin\…\node_modules\node-gyp\bin\node-gyp.js” rebuild ) else (node “” rebuild )

Building the projects in this solution one at a time. To enable parallel build, please add the “/m” switch.

D:\Projects\autobahn_test\node_modules\bufferutil\build\bufferutil.vcxproj(20,3): error MSB4019: The imported pr

oject “D:\Microsoft.Cpp.Default.props” was not found. Confirm that the path in the declaration is correct, and tha

t the file exists on disk.

gyp ERR! build error

gyp ERR! stack Error: C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe failed with exit code: 1

gyp ERR! stack at ChildProcess.onExit (C:\Program Files\nodejs\node_modules\npm\node_modules\node-gyp\lib\build.js:276:23)

gyp ERR! stack at emitTwo (events.js:106:13)

gyp ERR! stack at ChildProcess.emit (events.js:191:7)

gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:204:12)

gyp ERR! System Windows_NT 10.0.10240

gyp ERR! command “C:\Program Files\nodejs\node.exe” “C:\Program Files\nodejs\node_modules\npm\node_modules\node-gyp\bin\node-gyp.js” “rebuild”

gyp ERR! cwd D:\Projects\epm-ctm-MY\grabli_server\node_modules\bufferutil

gyp ERR! node -v v6.2.1

gyp ERR! node-gyp -v v3.3.1

gyp ERR! not ok

grabli_server@0.0.1 D:\Projects\epm-ctm-MY\grabli_server

±- crypto-js@3.1.6 extraneous

±- msgpack-lite@0.1.20 extraneous

±- utf-8-validate@1.2.1 extraneous

±- when@3.7.7 extraneous

`-- ws@1.1.0 extraneous

npm WARN grabli_server@0.0.1 No repository field.

npm WARN grabli_server@0.0.1 No license field.

npm ERR! Windows_NT 10.0.10240

npm ERR! argv “C:\Program Files\nodejs\node.exe” “C:\Program Files\nodejs\node_modules\npm\bin\npm-cli.js” “i” “autobahn”

npm ERR! node v6.2.1

npm ERR! npm v3.9.3

npm ERR! code ELIFECYCLE

npm ERR! bufferutil@1.2.1 install: node-gyp rebuild

npm ERR! Exit status 1

npm ERR!

npm ERR! Failed at the bufferutil@1.2.1 install script ‘node-gyp rebuild’.

npm ERR! Make sure you have the latest version of node.js and npm installed.

npm ERR! If you do, this is most likely a problem with the bufferutil package,

npm ERR! not with npm itself.

npm ERR! Tell the author that this fails on your system:

npm ERR! node-gyp rebuild

npm ERR! You can get information on how to open an issue for this project with:

npm ERR! npm bugs bufferutil

npm ERR! Or if that isn’t available, you can get their info via:

npm ERR! npm owner ls bufferutil

npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:

npm ERR! D:\Projectsautobahn_test\npm-debug.log

Thank you!

0 Likes